import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
export declare class NgxPatternDirective implements OnChanges {
    private host;
    ngxPattern: RegExp | string;
    private regex;
    constructor(host: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    onKeyDown(e: KeyboardEvent): void;
    onInput(): void;
    onPaste(e: ClipboardEvent): void;
    onDrop(e: DragEvent): void;
    get currentValue(): string;
    private validWithChange;
    private textIsValid;
    get inputEl(): HTMLInputElement;
}
